unit uLoadSaveState;

interface

uses
  Windows, SysUtils, Classes, Graphics, Controls, Forms,
  Buttons, ComCtrls, StdCtrls, ExtCtrls, GR32_Image;

type
  TFormLoadSaveState = class(TForm)
    SaveStateSlots: TListView;
    ButtonOk: TButton;
    ButtonCancel: TButton;
    LabelSaveNotSupported: TLabel;
    SaveStatesFolder: TEdit;
    LabelGameDescription: TLabel;
    GameIcon: TImage;
    TopImage: TImage32;
    procedure FormShow(Sender: TObject);
    procedure ButtonOkClick(Sender: TObject);
    procedure ButtonCancelClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    MsgResult: Integer;
  end;

var
  FormLoadSaveState: TFormLoadSaveState;

implementation

uses uMain;

{$R *.dfm}

procedure TFormLoadSaveState.FormShow(Sender: TObject);
begin
  FormMain.LoadTopBar(TopImage, 'savestate.png');
  FormMain.IL_StandardIconsLarge.GetIcon(FormMain.GameInfoData.eImageIndex, GameIcon.Picture.Icon);
  LabelGameDescription.Caption:= FormMain.GameInfoData.eDescription;
end;

procedure TFormLoadSaveState.ButtonOkClick(Sender: TObject);
begin
  MsgResult:= mrOk;
  Close;
end;

procedure TFormLoadSaveState.ButtonCancelClick(Sender: TObject);
begin
  MsgResult:= mrCancel;
  Close;
end;

end.
